﻿<%@ Page EnableEventValidation="false" Language="C#" AutoEventWireup="true" CodeFile="WebForm1.aspx.cs" Inherits="Infragistics_Test.WebForm1" %>

<%@ Register Assembly="Infragistics4.Web.v14.2, Version=14.2.20142.1028, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics4.Web.v14.2, Version=14.2.20142.1028, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.ListControls" TagPrefix="ig" %>


<!DOCTYPE html>

<script type="text/javascript">

    function Grid_Paging_PageIndexChanged(sender) {
        var grid = $find('<%=Grid.ClientID%>');
        var parentGrid = grid.get_gridView();
        var dropdownlist = document.getElementById("DropDownList1");
        populateList();
        dropdownlist.options[parentGrid.get_behaviors().get_paging().get_pageIndex()].selected = true;
        //document.getElementsByClassName("igg_Pager")[0].appendChild(document.getElementById("PageCount"));
    }

    function PrevButton_Click() {
        var grid = $find('<%=Grid.ClientID%>');
        var parentGrid = grid.get_gridView();
        if (parentGrid.get_behaviors().get_paging().get_pageIndex() > 0) {
            parentGrid.get_behaviors().get_paging().set_pageIndex(parentGrid.get_behaviors().get_paging().get_pageIndex() - 1);
        }
    }

    function NextButton_Click() {
        var grid = $find('<%=Grid.ClientID%>');
        var parentGrid = grid.get_gridView();
        if (parentGrid.get_behaviors().get_paging().get_pageIndex() < parentGrid.get_behaviors().get_paging().get_pageCount() - 2) {
            parentGrid.get_behaviors().get_paging().set_pageIndex(parentGrid.get_behaviors().get_paging().get_pageIndex() + 1);
        }
    }

    function FirstButton_Click() {
        var grid = $find('<%=Grid.ClientID%>');
        var parentGrid = grid.get_gridView();
        parentGrid.get_behaviors().get_paging().set_pageIndex(0);
    }

    function LastButton_Click() {
        var grid = $find('<%=Grid.ClientID%>');
        var parentGrid = grid.get_gridView();
        parentGrid.get_behaviors().get_paging().set_pageIndex(parentGrid.get_behaviors().get_paging().get_pageCount() - 2);
    }

    function IndexChanged() {
        var grid = $find('<%=Grid.ClientID%>');
        var parentGrid = grid.get_gridView();

        var dropdownlist = document.getElementById("DropDownList1");
        //parentGrid.get_behaviors().get_paging().set_pageIndex(dropdownlist.selectedIndex);
    }

    function Grid_Init() {
        populateList();

        //document.getElementsByClassName("igg_Pager")[0].appendChild(document.getElementById("PageCount"));
    }

    function populateList() {
        var grid = $find('<%=Grid.ClientID%>');
        var parentGrid = grid.get_gridView();
        var dropdownlist = document.getElementById("DropDownList1");
        var pageCount = document.getElementById("PageCount");

        if (pageCount == null) {
            pageCount = document.createElement("Label");
            pageCount.setAttribute("ID", "PageCount");
            pageCount.setAttribute("Height", "22px");
            pageCount.setAttribute("ClientIDMode", "Static");
            pageCount.innerHTML = "of 1";
            document.getElementsByClassName("igg_Pager")[0].appendChild(pageCount);
        }

        if (parentGrid.get_behaviors().get_paging() != null) {
            for (var i = 1; i < parentGrid.get_behaviors().get_paging().get_pageCount() ; i++) {
                var el = document.createElement("option");
                el.textContent = i;
                el.value = i;
                dropdownlist.appendChild(el);
            }
        }

        pageCount.textContent = "of " + dropdownlist.childElementCount;
    }

</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>

</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
        <div>
            <ig:WebHierarchicalDataGrid ID="Grid"
                runat="server" Height="350px" Width="100%"
                AutoGenerateBands="False"
                InitialDataBindDepth="-1"
                OnGroupedColumnsChanged="Grid_GroupedColumnsChanged"
                OnRowIslandDataBound="Grid_RowIslandDataBound"
                ClientEvents-Initialize="Grid_Init" OnInitializeRow="Grid_InitializeRow">

                <GroupingSettings EnableColumnGrouping="True">
                </GroupingSettings>
                <Behaviors>
                    <ig:Paging PageSize="3">
                        <PagingClientEvents PageIndexChanged="Grid_Paging_PageIndexChanged" />
                        <PagerTemplate>
                            <asp:Button runat="server" ID="FirstButton" Text="<<" OnClientClick="FirstButton_Click(); return false" Height="22px" CssClass=".igg_PageLink" />
                            <asp:Button runat="server" ID="PrevButton" Text="<" OnClientClick="PrevButton_Click(); return false" Height="22px" CssClass=".igg_PageLink" />
                            <asp:Button runat="server" ID="NextButton" Text=">" OnClientClick="NextButton_Click(); return false" Height="22px" CssClass=".igg_PageLink" />
                            <asp:Button runat="server" ID="LastButton" Text=">>" OnClientClick="LastButton_Click(); return false" Height="22px" CssClass=".igg_PageLink" />                            
                            <asp:DropDownList ID="DropDownList1" ClientIDMode="Static" runat="server" Height="26px" OnChange="IndexChanged()"></asp:DropDownList>        
                                              
                        </PagerTemplate>
                    </ig:Paging>
                </Behaviors>
            </ig:WebHierarchicalDataGrid>
        </div>
        <asp:Label ID="Label1" runat="server" Text="Label"></asp:Label>
        <%--<asp:Label ID="PageCount" runat="server" Text="of 1" Height="22px"></asp:Label>--%>  
    </form>
</body>
</html>
